//
// Created by gwall on 1/9/18.
//

#ifndef TX2_COMPRESSION_PARSER_HELPERS_H
#define TX2_COMPRESSION_PARSER_HELPERS_H

#include "video_encode.h"

int get_next_parsed_pair(context_t *ctx, char *id, uint32_t *value);

int set_runtime_params(context_t *ctx);

int get_next_runtime_param_change_frame(context_t *ctx);

void set_defaults(context_t * ctx);

void populate_roi_Param(std::ifstream * stream, v4l2_enc_frame_ROI_params *VEnc_ROI_params);

void populate_ext_rps_ctrl_Param (std::ifstream * stream, v4l2_enc_frame_ext_rps_ctrl_params *VEnc_ext_rps_ctrl_params);

void populate_ext_rate_ctrl_Param(std::ifstream * stream, v4l2_enc_frame_ext_rate_ctrl_params *VEnc_ext_rate_ctrl_params);

void populate_gdr_Param(std::ifstream * stream, uint32_t *start_frame_num, uint32_t *gdr_num_frames);


#endif //TX2_COMPRESSION_PARSER_HELPERS_H

