#ifndef PNG_HELPERS_H
#define PNG_HELPERS_H

#include <vector>
#include <string>

using namespace::std;


typedef struct {
	unsigned height;
	unsigned width;
	unsigned pixel_bytes;
	char* data;

} image_t;

//enum PngSaveMode { YUV420, RAW };

void read_png_file(char* file_name, image_t &image);

bool hasEnding(std::string const &fullString, std::string const &ending);

int get_images(string dir, vector<image_t> &images, unsigned max_image_count);

int free_images(vector<image_t> &images);

int save_images_to_file(string inputDir, string outputFname);

#endif
